/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
 *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
 *
 *  Copyright (C) 2008 Sun Microsystems, Inc.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#pragma once

#include <drizzled/item/int.h>

namespace drizzled {

class Item_return_int : public Item_int
{
  enum_field_types int_field_type;
public:
  Item_return_int(const char *name_arg, uint32_t length,
                  enum_field_types field_type_arg, int64_t value_in= 0)
    :Item_int(name_arg, value_in, length), int_field_type(field_type_arg)
  { }
  enum_field_types field_type() const { return int_field_type; }
};

} /* namespace drizzled */

